Installer - Feature #27723

Deploy Foreman using Puma behind a reverse proxy
08/28/2019 09:52 AM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: Foreman modules
Target version: 1.24.0
Difficulty: Fixed in Releases: 1.24.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for
eman/pull/677

Description

Currently Foreman is deployed using Apache with mod_passenger. This is hard to maintain due to the SCL. Running within
Passenger also makes restarting Apache a slow process. Tuning has also been complicated. Deploying with a standalone service
makes this easier.

Associated revisions

Revision 9514165 - 08/30/2019 12:06 AM - Ewoud Kohl van Wijngaarden

Fixes #27723 - Rewrite to support reverse proxy

History

#1 - 08/28/2019 10:51 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman/pull/677 added

#2 - 08/30/2019 12:06 AM - The Foreman Bot
- Fixed in Releases 1.24.0 added

#3 - 08/30/2019 01:01 AM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|95f14165ddc18e6b76b366a31cdbbc8d0f9ff28e.

05/21/2024 1/1



https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-foreman/revisions/95f14165ddc18e6b76b366a31cdbbc8d0f9ff28e
http://www.tcpdf.org

